aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/functional/functions.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/test/functional/functions.sh b/test/functional/functions.sh
index 457ea2f2c..84393d325 100644
--- a/test/functional/functions.sh
+++ b/test/functional/functions.sh
@@ -24,7 +24,7 @@ run_rspamd() {
STATS_HASH=${STATS_HASH:-"compat"}
STATS_KEY=${STATS_KEY:-"osipg87ms5gzsis33fdrhaqn5wocp6qfofzxjbw8k1wh9yb6adty"}
- ${RSPAMD} -c ${RSPAMD_CONFIG} -u ${RSPAMD_USER} -g ${RSPAMD_GROUP} \
+ ${RSPAMD} -c ${RSPAMD_CONFIG} -u ${RSPAMD_USER} -g ${RSPAMD_GROUP} -t \
TMPDIR=${TMPDIR} \
STATSDIR=${STATSDIR} \
LUADIR=${LUADIR} \
@@ -33,6 +33,19 @@ run_rspamd() {
TESTDIR=${TEST_DIRNAME} \
STATS_KEY=${STATS_KEY} > ${TMPDIR}/rspamd.out 2>&1
+ if [ $? -ne 0 ] ; then
+ save_error 'rspamd' 'cannot lint rspamd configuration'
+ fi
+
+ ${RSPAMD} -c ${RSPAMD_CONFIG} -u ${RSPAMD_USER} -g ${RSPAMD_GROUP} \
+ TMPDIR=${TMPDIR} \
+ STATSDIR=${STATSDIR} \
+ LUADIR=${LUADIR} \
+ STATS_BACKEND=${STATS_BACKEND} \
+ STATS_HASH=${STATS_HASH} \
+ TESTDIR=${TEST_DIRNAME} \
+ STATS_KEY=${STATS_KEY} >> ${TMPDIR}/rspamd.out 2>&1
+
if [ $? -eq 0 ] ; then
export RSPAMD_PID=`cat ${TMPDIR}/rspamd.pid`
else